Subject: Re: bug#5786: new cc-mode <>-matching barfs in complex case

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Dec 2015 00:04:36 +0100

Chong Yidong <[email-masked]> writes:

>> Note: Although the trace below is from Emacs 22, I'm using cc-mode from
>> HEAD. It doesn't affect the bug.
>>
>> cc-mode seems to barf in certain cases on files with lots of template
>> brackets. I can't quite figure out what's wrong with it: the testcase
>> below is about as small as I could make it.
>>
>> To reproduce: load the following file in c++-mode, position point at
>> line 3, column 6 (just after the "/*"), and press space. It's
>> important not to scroll around the buffer first. You'll see a
>> backtrace
>
> I can't reproduce the bug using emacs-23 branch (nor with the 23.1.95
> pretest), starting from `emacs -Q'.
>
> Daniel, could you please check if a 23.1.95 build from
> ftp://alpha.gnu.org/gnu/emacs/pretest/ has this problem?
>
> If so, please provide an even more exact recipe, sending the test file
> as an attachement and providing precise steps starting from `emacs -Q'.

More information was requested, but no response was given within a few
months, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no